import {Component, Inject} from 'ng-metadata/core';
const templateUrl = require('./kube-deploy-modal.component.html');

@Component({
    selector: 'kube-deploy-modal',
    templateUrl,
})
export class KubeDeployModalComponent {
    private loading: boolean = true;
    private deployments: any;

    constructor(@Inject('ApiService') private ApiService) {
        ApiService.scGetNumDeployments().then(resp => {
            console.log(resp)
            this.loading = false;
        }).catch(err => {
            this.loading = false;
        })
    }
}